> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/upload-files-with-the-geopard-api.md).

# Fájlok feltöltése a GeoPard API-val

{% hint style="success" %}
A 6 MB-nál nagyobb fájlokhoz az ajánlott módszer a [előre aláírt URL-es feltöltési folyamat](https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).
{% endhint %}

A GeoPard API lehetővé teszi talaj-, terméshozam-, kijuttatási és táblahatár-adatokat tartalmazó ZIP-archívumok feltöltését további feldolgozás és elemzés céljából.

{% hint style="danger" %}
Az AWS korlátozása miatt ezen a REST-végponton keresztül legfeljebb 6 MB-os fájlt tölthet fel.
{% endhint %}

A 6 MB-nál nagyobb fájlok feltöltésének lépéseit itt ismertetjük: [ZIP-fájlok feltöltése (6 MB felett)](https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/geopard-api-requests-overview/55.-upload-zip-files-over-6-mb.md).

A talaj-, terméshozam- vagy kijuttatási adatkészlet sikeres feltöltése után a GeoPard motor összekapcsolja azt a megadott gazdaságban található kapcsolódó táblákkal.

A táblahatár sikeres feltöltése után a GeoPard motor megkezdi annak feldolgozását.

A válasz egy `<uuid>` értéket tartalmaz, amellyel nyomon követheti a feldolgozás állapotát.

#### Példa a kérésre:

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl --location --request POST 'https://api.geopard.tech/upload?fileType=<type>&farmUuid=<farm_uuid>' \
--header 'Authorization: <token>' \
--header 'Content-Type: application/zip' \
--data-binary '@path/to/file.zip'
```

{% endcode %}

A paraméterek:

1. `<type>` - a feltöltött adatkészlet típusa. Az értéknek az alábbiak egyikének kell lennie: `yield` VAGY `soil` VAGY `applied` VAGY `boundary`.
2. `<farm_uuid>` - annak a gazdaságnak a `uuid` azonosítója, ahová a fájlt feltölti (nem kötelező).
3. `<token>` - GeoPard-hozzáférési token.
4. `@path/to/file.zip` - a feltöltendő fájl elérési útja.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/hu/api-dokumentacio/upload-files-with-the-geopard-api.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
